@nodert-win10-19h1/windows.media

0.1.6 • Public • Published

@nodert-win10-19h1/windows.media

Notice

The series of @nodert-win10-19h1 packages is unofficially-published NodeRT modules for Windows 10 SDK, version 1903 (10.0.18362.0) corresponding to Windows 10v1903 (Codename 19H1 / May 2019 Update).

These are generated by the modified version of NodeRT thus are experimental, as the original doesn't have support for 1903 SDK, nor for building with VS2022. Supporting for VS2022 is based on Taosenai's workaround with lxbndr's suggestion. The modified source code can be found here.

Below is the original description about this module.


A Node.js wrapper for the Windows.Media WinRT namespace, compatible with Windows 10 APIs.

Using this module, you'll be able to consume the Windows.Media API directly from Node.js.

This module was automatically generated by NodeRT. For more information on NodeRT and examples on how to use NodeRT modules, please visit the project page at: https://github.com/NodeRT/NodeRT.

The API exposed by this module is (almost) the same as the API that is listed in: http://msdn.microsoft.com/en-us/library/windows/apps/Windows.Media.aspx

The only difference in the API is in the way that asynchronous methods and events are used. (See https://github.com/NodeRT/NodeRT#ConsumingNodeRT for more details)

This module also contains TypeScript definition files for the API exposed by the module, as well as JavaScript intellisense support for Node.js tools for Visual Studio.

Prequisites:

  • Visual Studio 2022 and above. (Community edition works, other editions aren't tested but surely work!)
  • Python 2.7, 3.5, 3.6, 3.7, or 3.8 (for node-gyp)
  • Important: Updated versions of npm and node-gyp. (Note that the ones that are bundled with node might not be up to date). In order to install latest npm, run:
npm install -g npm

In order to install latest node-gyp run:

npm install -g node-gyp

Installation:

In order to install this module, run npm install:

npm install @nodert-win10-19h1/windows.media

If you wish to rebuild this module using node-gyp, make sure to use the appropriate VS version using --msvs_version=2012/2013/2015/2017/2022 flag:

For example:

cd [module folder path]
node-gyp rebuild --msvs_version=2022

If you fail to rebuild due to unable to find module 'nan', try running npm install --ignore-scripts

Package Sidebar

Install

npm i @nodert-win10-19h1/windows.media

Weekly Downloads

5

Version

0.1.6

License

Apache-2.0

Unpacked Size

590 kB

Total Files

19

Last publish

Collaborators

  • demosjarco